

# Amazon DocumentDB Elastic Clusters
<a name="API_Operations_Amazon_DocumentDB_Elastic_Clusters"></a>

The following actions are supported by Amazon DocumentDB Elastic Clusters:
+  [ApplyPendingMaintenanceAction](API_elastic_ApplyPendingMaintenanceAction.md) 
+  [CopyClusterSnapshot](API_elastic_CopyClusterSnapshot.md) 
+  [CreateCluster](API_elastic_CreateCluster.md) 
+  [CreateClusterSnapshot](API_elastic_CreateClusterSnapshot.md) 
+  [DeleteCluster](API_elastic_DeleteCluster.md) 
+  [DeleteClusterSnapshot](API_elastic_DeleteClusterSnapshot.md) 
+  [GetCluster](API_elastic_GetCluster.md) 
+  [GetClusterSnapshot](API_elastic_GetClusterSnapshot.md) 
+  [GetPendingMaintenanceAction](API_elastic_GetPendingMaintenanceAction.md) 
+  [ListClusters](API_elastic_ListClusters.md) 
+  [ListClusterSnapshots](API_elastic_ListClusterSnapshots.md) 
+  [ListPendingMaintenanceActions](API_elastic_ListPendingMaintenanceActions.md) 
+  [ListTagsForResource](API_elastic_ListTagsForResource.md) 
+  [RestoreClusterFromSnapshot](API_elastic_RestoreClusterFromSnapshot.md) 
+  [StartCluster](API_elastic_StartCluster.md) 
+  [StopCluster](API_elastic_StopCluster.md) 
+  [TagResource](API_elastic_TagResource.md) 
+  [UntagResource](API_elastic_UntagResource.md) 
+  [UpdateCluster](API_elastic_UpdateCluster.md) 

# ApplyPendingMaintenanceAction
<a name="API_elastic_ApplyPendingMaintenanceAction"></a>

The type of pending maintenance action to be applied to the resource.

## Request Syntax
<a name="API_elastic_ApplyPendingMaintenanceAction_RequestSyntax"></a>

```
POST /pending-action HTTP/1.1
Content-type: application/json

{
   "applyAction": "string",
   "applyOn": "string",
   "optInType": "string",
   "resourceArn": "string"
}
```

## URI Request Parameters
<a name="API_elastic_ApplyPendingMaintenanceAction_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_elastic_ApplyPendingMaintenanceAction_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [applyAction](#API_elastic_ApplyPendingMaintenanceAction_RequestSyntax) **   <a name="documentdb-elastic_ApplyPendingMaintenanceAction-request-applyAction"></a>
The pending maintenance action to apply to the resource.  
Valid actions are:  
+  `ENGINE_UPDATE ` 
+  `ENGINE_UPGRADE` 
+  `SECURITY_UPDATE` 
+  `OS_UPDATE` 
+  `MASTER_USER_PASSWORD_UPDATE` 
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Required: Yes

 ** [optInType](#API_elastic_ApplyPendingMaintenanceAction_RequestSyntax) **   <a name="documentdb-elastic_ApplyPendingMaintenanceAction-request-optInType"></a>
A value that specifies the type of opt-in request, or undoes an opt-in request. An opt-in request of type `IMMEDIATE` can't be undone.  
Type: String  
Valid Values: `IMMEDIATE | NEXT_MAINTENANCE | APPLY_ON | UNDO_OPT_IN`   
Required: Yes

 ** [resourceArn](#API_elastic_ApplyPendingMaintenanceAction_RequestSyntax) **   <a name="documentdb-elastic_ApplyPendingMaintenanceAction-request-resourceArn"></a>
The Amazon DocumentDB Amazon Resource Name (ARN) of the resource to which the pending maintenance action applies.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Required: Yes

 ** [applyOn](#API_elastic_ApplyPendingMaintenanceAction_RequestSyntax) **   <a name="documentdb-elastic_ApplyPendingMaintenanceAction-request-applyOn"></a>
A specific date to apply the pending maintenance action. Required if opt-in-type is `APPLY_ON`. Format: `yyyy/MM/dd HH:mm-yyyy/MM/dd HH:mm`   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Required: No

## Response Syntax
<a name="API_elastic_ApplyPendingMaintenanceAction_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "resourcePendingMaintenanceAction": { 
      "pendingMaintenanceActionDetails": [ 
         { 
            "action": "string",
            "autoAppliedAfterDate": "string",
            "currentApplyDate": "string",
            "description": "string",
            "forcedApplyDate": "string",
            "optInStatus": "string"
         }
      ],
      "resourceArn": "string"
   }
}
```

## Response Elements
<a name="API_elastic_ApplyPendingMaintenanceAction_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [resourcePendingMaintenanceAction](#API_elastic_ApplyPendingMaintenanceAction_ResponseSyntax) **   <a name="documentdb-elastic_ApplyPendingMaintenanceAction-response-resourcePendingMaintenanceAction"></a>
The output of the pending maintenance action being applied.  
Type: [ResourcePendingMaintenanceAction](API_elastic_ResourcePendingMaintenanceAction.md) object

## Errors
<a name="API_elastic_ApplyPendingMaintenanceAction_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
An exception that occurs when there are not sufficient permissions to perform an action.    
 ** message **   
An error message explaining why access was denied.
HTTP Status Code: 403

 ** ConflictException **   
There was an access conflict.    
 ** resourceId **   
The ID of the resource where there was an access conflict.  
 ** resourceType **   
The type of the resource where there was an access conflict.
HTTP Status Code: 409

 ** InternalServerException **   
There was an internal server error.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource could not be located.    
 ** message **   
An error message describing the failure.  
 ** resourceId **   
The ID of the resource that could not be located.  
 ** resourceType **   
The type of the resource that could not be found.
HTTP Status Code: 404

 ** ThrottlingException **   
ThrottlingException will be thrown when request was denied due to request throttling.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the operation.
HTTP Status Code: 429

 ** ValidationException **   
A structure defining a validation exception.    
 ** fieldList **   
A list of the fields in which the validation exception occurred.  
 ** message **   
An error message describing the validation exception.  
 ** reason **   
The reason why the validation exception occurred (one of `unknownOperation`, `cannotParse`, `fieldValidationFailed`, or `other`).
HTTP Status Code: 400

## See Also
<a name="API_elastic_ApplyPendingMaintenanceAction_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/docdb-elastic-2022-11-28/ApplyPendingMaintenanceAction) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/docdb-elastic-2022-11-28/ApplyPendingMaintenanceAction) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/docdb-elastic-2022-11-28/ApplyPendingMaintenanceAction) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/docdb-elastic-2022-11-28/ApplyPendingMaintenanceAction) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/docdb-elastic-2022-11-28/ApplyPendingMaintenanceAction) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/docdb-elastic-2022-11-28/ApplyPendingMaintenanceAction) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/docdb-elastic-2022-11-28/ApplyPendingMaintenanceAction) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/docdb-elastic-2022-11-28/ApplyPendingMaintenanceAction) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/docdb-elastic-2022-11-28/ApplyPendingMaintenanceAction) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/docdb-elastic-2022-11-28/ApplyPendingMaintenanceAction) 

# CopyClusterSnapshot
<a name="API_elastic_CopyClusterSnapshot"></a>

Copies a snapshot of an elastic cluster.

## Request Syntax
<a name="API_elastic_CopyClusterSnapshot_RequestSyntax"></a>

```
POST /cluster-snapshot/snapshotArn/copy HTTP/1.1
Content-type: application/json

{
   "copyTags": boolean,
   "kmsKeyId": "string",
   "tags": { 
      "string" : "string" 
   },
   "targetSnapshotName": "string"
}
```

## URI Request Parameters
<a name="API_elastic_CopyClusterSnapshot_RequestParameters"></a>

The request uses the following URI parameters.

 ** [snapshotArn](#API_elastic_CopyClusterSnapshot_RequestSyntax) **   <a name="documentdb-elastic_CopyClusterSnapshot-request-uri-snapshotArn"></a>
The Amazon Resource Name (ARN) identifier of the elastic cluster snapshot.  
Required: Yes

## Request Body
<a name="API_elastic_CopyClusterSnapshot_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [targetSnapshotName](#API_elastic_CopyClusterSnapshot_RequestSyntax) **   <a name="documentdb-elastic_CopyClusterSnapshot-request-targetSnapshotName"></a>
The identifier of the new elastic cluster snapshot to create from the source cluster snapshot. This parameter is not case sensitive.  
Constraints:  
+ Must contain from 1 to 63 letters, numbers, or hyphens.
+ The first character must be a letter.
+ Cannot end with a hyphen or contain two consecutive hyphens.
Example: `elastic-cluster-snapshot-5`   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 63.  
Required: Yes

 ** [copyTags](#API_elastic_CopyClusterSnapshot_RequestSyntax) **   <a name="documentdb-elastic_CopyClusterSnapshot-request-copyTags"></a>
Set to `true` to copy all tags from the source cluster snapshot to the target elastic cluster snapshot. The default is `false`.  
Type: Boolean  
Required: No

 ** [kmsKeyId](#API_elastic_CopyClusterSnapshot_RequestSyntax) **   <a name="documentdb-elastic_CopyClusterSnapshot-request-kmsKeyId"></a>
The AWS KMS key ID for an encrypted elastic cluster snapshot. The AWS KMS key ID is the Amazon Resource Name (ARN), AWS KMS key identifier, or the AWS KMS key alias for the AWS KMS encryption key.  
If you copy an encrypted elastic cluster snapshot from your AWS account, you can specify a value for `KmsKeyId` to encrypt the copy with a new AWSS KMS encryption key. If you don't specify a value for `KmsKeyId`, then the copy of the elastic cluster snapshot is encrypted with the same `AWS` KMS key as the source elastic cluster snapshot.  
If you copy an unencrypted elastic cluster snapshot and specify a value for the `KmsKeyId` parameter, an error is returned.  
Type: String  
Required: No

 ** [tags](#API_elastic_CopyClusterSnapshot_RequestSyntax) **   <a name="documentdb-elastic_CopyClusterSnapshot-request-tags"></a>
The tags to be assigned to the elastic cluster snapshot.  
Type: String to string map  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `(?!aws:)[a-zA-Z+-=._:/]+`   
Value Length Constraints: Minimum length of 0. Maximum length of 256.  
Required: No

## Response Syntax
<a name="API_elastic_CopyClusterSnapshot_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "snapshot": { 
      "adminUserName": "string",
      "clusterArn": "string",
      "clusterCreationTime": "string",
      "kmsKeyId": "string",
      "snapshotArn": "string",
      "snapshotCreationTime": "string",
      "snapshotName": "string",
      "snapshotType": "string",
      "status": "string",
      "subnetIds": [ "string" ],
      "vpcSecurityGroupIds": [ "string" ]
   }
}
```

## Response Elements
<a name="API_elastic_CopyClusterSnapshot_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [snapshot](#API_elastic_CopyClusterSnapshot_ResponseSyntax) **   <a name="documentdb-elastic_CopyClusterSnapshot-response-snapshot"></a>
Returns information about a specific elastic cluster snapshot.  
Type: [ClusterSnapshot](API_elastic_ClusterSnapshot.md) object

## Errors
<a name="API_elastic_CopyClusterSnapshot_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
An exception that occurs when there are not sufficient permissions to perform an action.    
 ** message **   
An error message explaining why access was denied.
HTTP Status Code: 403

 ** ConflictException **   
There was an access conflict.    
 ** resourceId **   
The ID of the resource where there was an access conflict.  
 ** resourceType **   
The type of the resource where there was an access conflict.
HTTP Status Code: 409

 ** InternalServerException **   
There was an internal server error.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource could not be located.    
 ** message **   
An error message describing the failure.  
 ** resourceId **   
The ID of the resource that could not be located.  
 ** resourceType **   
The type of the resource that could not be found.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The service quota for the action was exceeded.  
HTTP Status Code: 402

 ** ThrottlingException **   
ThrottlingException will be thrown when request was denied due to request throttling.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the operation.
HTTP Status Code: 429

 ** ValidationException **   
A structure defining a validation exception.    
 ** fieldList **   
A list of the fields in which the validation exception occurred.  
 ** message **   
An error message describing the validation exception.  
 ** reason **   
The reason why the validation exception occurred (one of `unknownOperation`, `cannotParse`, `fieldValidationFailed`, or `other`).
HTTP Status Code: 400

## See Also
<a name="API_elastic_CopyClusterSnapshot_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/docdb-elastic-2022-11-28/CopyClusterSnapshot) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/docdb-elastic-2022-11-28/CopyClusterSnapshot) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/docdb-elastic-2022-11-28/CopyClusterSnapshot) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/docdb-elastic-2022-11-28/CopyClusterSnapshot) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/docdb-elastic-2022-11-28/CopyClusterSnapshot) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/docdb-elastic-2022-11-28/CopyClusterSnapshot) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/docdb-elastic-2022-11-28/CopyClusterSnapshot) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/docdb-elastic-2022-11-28/CopyClusterSnapshot) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/docdb-elastic-2022-11-28/CopyClusterSnapshot) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/docdb-elastic-2022-11-28/CopyClusterSnapshot) 

# CreateCluster
<a name="API_elastic_CreateCluster"></a>

Creates a new Amazon DocumentDB elastic cluster and returns its cluster structure.

## Request Syntax
<a name="API_elastic_CreateCluster_RequestSyntax"></a>

```
POST /cluster HTTP/1.1
Content-type: application/json

{
   "adminUserName": "string",
   "adminUserPassword": "string",
   "authType": "string",
   "backupRetentionPeriod": number,
   "clientToken": "string",
   "clusterName": "string",
   "kmsKeyId": "string",
   "preferredBackupWindow": "string",
   "preferredMaintenanceWindow": "string",
   "shardCapacity": number,
   "shardCount": number,
   "shardInstanceCount": number,
   "subnetIds": [ "string" ],
   "tags": { 
      "string" : "string" 
   },
   "vpcSecurityGroupIds": [ "string" ]
}
```

## URI Request Parameters
<a name="API_elastic_CreateCluster_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_elastic_CreateCluster_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [adminUserName](#API_elastic_CreateCluster_RequestSyntax) **   <a name="documentdb-elastic_CreateCluster-request-adminUserName"></a>
The name of the Amazon DocumentDB elastic clusters administrator.  
 *Constraints*:  
+ Must be from 1 to 63 letters or numbers.
+ The first character must be a letter.
+ Cannot be a reserved word.
Type: String  
Required: Yes

 ** [adminUserPassword](#API_elastic_CreateCluster_RequestSyntax) **   <a name="documentdb-elastic_CreateCluster-request-adminUserPassword"></a>
The password for the Amazon DocumentDB elastic clusters administrator. The password can contain any printable ASCII characters.  
 *Constraints*:  
+ Must contain from 8 to 100 characters.
+ Cannot contain a forward slash (/), double quote ("), or the "at" symbol (@).
Type: String  
Required: Yes

 ** [authType](#API_elastic_CreateCluster_RequestSyntax) **   <a name="documentdb-elastic_CreateCluster-request-authType"></a>
The authentication type used to determine where to fetch the password used for accessing the elastic cluster. Valid types are `PLAIN_TEXT` or `SECRET_ARN`.  
Type: String  
Valid Values: `PLAIN_TEXT | SECRET_ARN`   
Required: Yes

 ** [clusterName](#API_elastic_CreateCluster_RequestSyntax) **   <a name="documentdb-elastic_CreateCluster-request-clusterName"></a>
The name of the new elastic cluster. This parameter is stored as a lowercase string.  
 *Constraints*:  
+ Must contain from 1 to 63 letters, numbers, or hyphens.
+ The first character must be a letter.
+ Cannot end with a hyphen or contain two consecutive hyphens.
 *Example*: `my-cluster`   
Type: String  
Required: Yes

 ** [shardCapacity](#API_elastic_CreateCluster_RequestSyntax) **   <a name="documentdb-elastic_CreateCluster-request-shardCapacity"></a>
The number of vCPUs assigned to each elastic cluster shard. Maximum is 64. Allowed values are 2, 4, 8, 16, 32, 64.  
Type: Integer  
Required: Yes

 ** [shardCount](#API_elastic_CreateCluster_RequestSyntax) **   <a name="documentdb-elastic_CreateCluster-request-shardCount"></a>
The number of shards assigned to the elastic cluster. Maximum is 32.  
Type: Integer  
Required: Yes

 ** [backupRetentionPeriod](#API_elastic_CreateCluster_RequestSyntax) **   <a name="documentdb-elastic_CreateCluster-request-backupRetentionPeriod"></a>
The number of days for which automatic snapshots are retained.  
Type: Integer  
Required: No

 ** [clientToken](#API_elastic_CreateCluster_RequestSyntax) **   <a name="documentdb-elastic_CreateCluster-request-clientToken"></a>
The client token for the elastic cluster.  
Type: String  
Required: No

 ** [kmsKeyId](#API_elastic_CreateCluster_RequestSyntax) **   <a name="documentdb-elastic_CreateCluster-request-kmsKeyId"></a>
The KMS key identifier to use to encrypt the new elastic cluster.  
The KMS key identifier is the Amazon Resource Name (ARN) for the KMS encryption key. If you are creating a cluster using the same Amazon account that owns this KMS encryption key, you can use the KMS key alias instead of the ARN as the KMS encryption key.  
If an encryption key is not specified, Amazon DocumentDB uses the default encryption key that KMS creates for your account. Your account has a different default encryption key for each Amazon Region.  
Type: String  
Required: No

 ** [preferredBackupWindow](#API_elastic_CreateCluster_RequestSyntax) **   <a name="documentdb-elastic_CreateCluster-request-preferredBackupWindow"></a>
The daily time range during which automated backups are created if automated backups are enabled, as determined by the `backupRetentionPeriod`.  
Type: String  
Required: No

 ** [preferredMaintenanceWindow](#API_elastic_CreateCluster_RequestSyntax) **   <a name="documentdb-elastic_CreateCluster-request-preferredMaintenanceWindow"></a>
The weekly time range during which system maintenance can occur, in Universal Coordinated Time (UTC).  
 *Format*: `ddd:hh24:mi-ddd:hh24:mi`   
 *Default*: a 30-minute window selected at random from an 8-hour block of time for each AWS Region, occurring on a random day of the week.  
 *Valid days*: Mon, Tue, Wed, Thu, Fri, Sat, Sun  
 *Constraints*: Minimum 30-minute window.  
Type: String  
Required: No

 ** [shardInstanceCount](#API_elastic_CreateCluster_RequestSyntax) **   <a name="documentdb-elastic_CreateCluster-request-shardInstanceCount"></a>
The number of replica instances applying to all shards in the elastic cluster. A `shardInstanceCount` value of 1 means there is one writer instance, and any additional instances are replicas that can be used for reads and to improve availability.  
Type: Integer  
Required: No

 ** [subnetIds](#API_elastic_CreateCluster_RequestSyntax) **   <a name="documentdb-elastic_CreateCluster-request-subnetIds"></a>
The Amazon EC2 subnet IDs for the new elastic cluster.  
Type: Array of strings  
Required: No

 ** [tags](#API_elastic_CreateCluster_RequestSyntax) **   <a name="documentdb-elastic_CreateCluster-request-tags"></a>
The tags to be assigned to the new elastic cluster.  
Type: String to string map  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `(?!aws:)[a-zA-Z+-=._:/]+`   
Value Length Constraints: Minimum length of 0. Maximum length of 256.  
Required: No

 ** [vpcSecurityGroupIds](#API_elastic_CreateCluster_RequestSyntax) **   <a name="documentdb-elastic_CreateCluster-request-vpcSecurityGroupIds"></a>
A list of EC2 VPC security groups to associate with the new elastic cluster.  
Type: Array of strings  
Required: No

## Response Syntax
<a name="API_elastic_CreateCluster_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "cluster": { 
      "adminUserName": "string",
      "authType": "string",
      "backupRetentionPeriod": number,
      "clusterArn": "string",
      "clusterEndpoint": "string",
      "clusterName": "string",
      "createTime": "string",
      "kmsKeyId": "string",
      "preferredBackupWindow": "string",
      "preferredMaintenanceWindow": "string",
      "shardCapacity": number,
      "shardCount": number,
      "shardInstanceCount": number,
      "shards": [ 
         { 
            "createTime": "string",
            "shardId": "string",
            "status": "string"
         }
      ],
      "status": "string",
      "subnetIds": [ "string" ],
      "vpcSecurityGroupIds": [ "string" ]
   }
}
```

## Response Elements
<a name="API_elastic_CreateCluster_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [cluster](#API_elastic_CreateCluster_ResponseSyntax) **   <a name="documentdb-elastic_CreateCluster-response-cluster"></a>
The new elastic cluster that has been created.  
Type: [Cluster](API_elastic_Cluster.md) object

## Errors
<a name="API_elastic_CreateCluster_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
An exception that occurs when there are not sufficient permissions to perform an action.    
 ** message **   
An error message explaining why access was denied.
HTTP Status Code: 403

 ** ConflictException **   
There was an access conflict.    
 ** resourceId **   
The ID of the resource where there was an access conflict.  
 ** resourceType **   
The type of the resource where there was an access conflict.
HTTP Status Code: 409

 ** InternalServerException **   
There was an internal server error.  
HTTP Status Code: 500

 ** ServiceQuotaExceededException **   
The service quota for the action was exceeded.  
HTTP Status Code: 402

 ** ThrottlingException **   
ThrottlingException will be thrown when request was denied due to request throttling.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the operation.
HTTP Status Code: 429

 ** ValidationException **   
A structure defining a validation exception.    
 ** fieldList **   
A list of the fields in which the validation exception occurred.  
 ** message **   
An error message describing the validation exception.  
 ** reason **   
The reason why the validation exception occurred (one of `unknownOperation`, `cannotParse`, `fieldValidationFailed`, or `other`).
HTTP Status Code: 400

## See Also
<a name="API_elastic_CreateCluster_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/docdb-elastic-2022-11-28/CreateCluster) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/docdb-elastic-2022-11-28/CreateCluster) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/docdb-elastic-2022-11-28/CreateCluster) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/docdb-elastic-2022-11-28/CreateCluster) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/docdb-elastic-2022-11-28/CreateCluster) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/docdb-elastic-2022-11-28/CreateCluster) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/docdb-elastic-2022-11-28/CreateCluster) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/docdb-elastic-2022-11-28/CreateCluster) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/docdb-elastic-2022-11-28/CreateCluster) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/docdb-elastic-2022-11-28/CreateCluster) 

# CreateClusterSnapshot
<a name="API_elastic_CreateClusterSnapshot"></a>

Creates a snapshot of an elastic cluster.

## Request Syntax
<a name="API_elastic_CreateClusterSnapshot_RequestSyntax"></a>

```
POST /cluster-snapshot HTTP/1.1
Content-type: application/json

{
   "clusterArn": "string",
   "snapshotName": "string",
   "tags": { 
      "string" : "string" 
   }
}
```

## URI Request Parameters
<a name="API_elastic_CreateClusterSnapshot_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_elastic_CreateClusterSnapshot_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [clusterArn](#API_elastic_CreateClusterSnapshot_RequestSyntax) **   <a name="documentdb-elastic_CreateClusterSnapshot-request-clusterArn"></a>
The ARN identifier of the elastic cluster of which you want to create a snapshot.  
Type: String  
Required: Yes

 ** [snapshotName](#API_elastic_CreateClusterSnapshot_RequestSyntax) **   <a name="documentdb-elastic_CreateClusterSnapshot-request-snapshotName"></a>
The name of the new elastic cluster snapshot.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 63.  
Required: Yes

 ** [tags](#API_elastic_CreateClusterSnapshot_RequestSyntax) **   <a name="documentdb-elastic_CreateClusterSnapshot-request-tags"></a>
The tags to be assigned to the new elastic cluster snapshot.  
Type: String to string map  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `(?!aws:)[a-zA-Z+-=._:/]+`   
Value Length Constraints: Minimum length of 0. Maximum length of 256.  
Required: No

## Response Syntax
<a name="API_elastic_CreateClusterSnapshot_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "snapshot": { 
      "adminUserName": "string",
      "clusterArn": "string",
      "clusterCreationTime": "string",
      "kmsKeyId": "string",
      "snapshotArn": "string",
      "snapshotCreationTime": "string",
      "snapshotName": "string",
      "snapshotType": "string",
      "status": "string",
      "subnetIds": [ "string" ],
      "vpcSecurityGroupIds": [ "string" ]
   }
}
```

## Response Elements
<a name="API_elastic_CreateClusterSnapshot_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [snapshot](#API_elastic_CreateClusterSnapshot_ResponseSyntax) **   <a name="documentdb-elastic_CreateClusterSnapshot-response-snapshot"></a>
Returns information about the new elastic cluster snapshot.  
Type: [ClusterSnapshot](API_elastic_ClusterSnapshot.md) object

## Errors
<a name="API_elastic_CreateClusterSnapshot_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
An exception that occurs when there are not sufficient permissions to perform an action.    
 ** message **   
An error message explaining why access was denied.
HTTP Status Code: 403

 ** ConflictException **   
There was an access conflict.    
 ** resourceId **   
The ID of the resource where there was an access conflict.  
 ** resourceType **   
The type of the resource where there was an access conflict.
HTTP Status Code: 409

 ** InternalServerException **   
There was an internal server error.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource could not be located.    
 ** message **   
An error message describing the failure.  
 ** resourceId **   
The ID of the resource that could not be located.  
 ** resourceType **   
The type of the resource that could not be found.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The service quota for the action was exceeded.  
HTTP Status Code: 402

 ** ThrottlingException **   
ThrottlingException will be thrown when request was denied due to request throttling.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the operation.
HTTP Status Code: 429

 ** ValidationException **   
A structure defining a validation exception.    
 ** fieldList **   
A list of the fields in which the validation exception occurred.  
 ** message **   
An error message describing the validation exception.  
 ** reason **   
The reason why the validation exception occurred (one of `unknownOperation`, `cannotParse`, `fieldValidationFailed`, or `other`).
HTTP Status Code: 400

## See Also
<a name="API_elastic_CreateClusterSnapshot_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/docdb-elastic-2022-11-28/CreateClusterSnapshot) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/docdb-elastic-2022-11-28/CreateClusterSnapshot) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/docdb-elastic-2022-11-28/CreateClusterSnapshot) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/docdb-elastic-2022-11-28/CreateClusterSnapshot) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/docdb-elastic-2022-11-28/CreateClusterSnapshot) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/docdb-elastic-2022-11-28/CreateClusterSnapshot) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/docdb-elastic-2022-11-28/CreateClusterSnapshot) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/docdb-elastic-2022-11-28/CreateClusterSnapshot) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/docdb-elastic-2022-11-28/CreateClusterSnapshot) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/docdb-elastic-2022-11-28/CreateClusterSnapshot) 

# DeleteCluster
<a name="API_elastic_DeleteCluster"></a>

Delete an elastic cluster.

## Request Syntax
<a name="API_elastic_DeleteCluster_RequestSyntax"></a>

```
DELETE /cluster/clusterArn HTTP/1.1
```

## URI Request Parameters
<a name="API_elastic_DeleteCluster_RequestParameters"></a>

The request uses the following URI parameters.

 ** [clusterArn](#API_elastic_DeleteCluster_RequestSyntax) **   <a name="documentdb-elastic_DeleteCluster-request-uri-clusterArn"></a>
The ARN identifier of the elastic cluster that is to be deleted.  
Required: Yes

## Request Body
<a name="API_elastic_DeleteCluster_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_elastic_DeleteCluster_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "cluster": { 
      "adminUserName": "string",
      "authType": "string",
      "backupRetentionPeriod": number,
      "clusterArn": "string",
      "clusterEndpoint": "string",
      "clusterName": "string",
      "createTime": "string",
      "kmsKeyId": "string",
      "preferredBackupWindow": "string",
      "preferredMaintenanceWindow": "string",
      "shardCapacity": number,
      "shardCount": number,
      "shardInstanceCount": number,
      "shards": [ 
         { 
            "createTime": "string",
            "shardId": "string",
            "status": "string"
         }
      ],
      "status": "string",
      "subnetIds": [ "string" ],
      "vpcSecurityGroupIds": [ "string" ]
   }
}
```

## Response Elements
<a name="API_elastic_DeleteCluster_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [cluster](#API_elastic_DeleteCluster_ResponseSyntax) **   <a name="documentdb-elastic_DeleteCluster-response-cluster"></a>
Returns information about the newly deleted elastic cluster.  
Type: [Cluster](API_elastic_Cluster.md) object

## Errors
<a name="API_elastic_DeleteCluster_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
An exception that occurs when there are not sufficient permissions to perform an action.    
 ** message **   
An error message explaining why access was denied.
HTTP Status Code: 403

 ** ConflictException **   
There was an access conflict.    
 ** resourceId **   
The ID of the resource where there was an access conflict.  
 ** resourceType **   
The type of the resource where there was an access conflict.
HTTP Status Code: 409

 ** InternalServerException **   
There was an internal server error.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource could not be located.    
 ** message **   
An error message describing the failure.  
 ** resourceId **   
The ID of the resource that could not be located.  
 ** resourceType **   
The type of the resource that could not be found.
HTTP Status Code: 404

 ** ThrottlingException **   
ThrottlingException will be thrown when request was denied due to request throttling.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the operation.
HTTP Status Code: 429

 ** ValidationException **   
A structure defining a validation exception.    
 ** fieldList **   
A list of the fields in which the validation exception occurred.  
 ** message **   
An error message describing the validation exception.  
 ** reason **   
The reason why the validation exception occurred (one of `unknownOperation`, `cannotParse`, `fieldValidationFailed`, or `other`).
HTTP Status Code: 400

## See Also
<a name="API_elastic_DeleteCluster_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/docdb-elastic-2022-11-28/DeleteCluster) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/docdb-elastic-2022-11-28/DeleteCluster) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/docdb-elastic-2022-11-28/DeleteCluster) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/docdb-elastic-2022-11-28/DeleteCluster) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/docdb-elastic-2022-11-28/DeleteCluster) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/docdb-elastic-2022-11-28/DeleteCluster) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/docdb-elastic-2022-11-28/DeleteCluster) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/docdb-elastic-2022-11-28/DeleteCluster) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/docdb-elastic-2022-11-28/DeleteCluster) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/docdb-elastic-2022-11-28/DeleteCluster) 

# DeleteClusterSnapshot
<a name="API_elastic_DeleteClusterSnapshot"></a>

Delete an elastic cluster snapshot.

## Request Syntax
<a name="API_elastic_DeleteClusterSnapshot_RequestSyntax"></a>

```
DELETE /cluster-snapshot/snapshotArn HTTP/1.1
```

## URI Request Parameters
<a name="API_elastic_DeleteClusterSnapshot_RequestParameters"></a>

The request uses the following URI parameters.

 ** [snapshotArn](#API_elastic_DeleteClusterSnapshot_RequestSyntax) **   <a name="documentdb-elastic_DeleteClusterSnapshot-request-uri-snapshotArn"></a>
The ARN identifier of the elastic cluster snapshot that is to be deleted.  
Required: Yes

## Request Body
<a name="API_elastic_DeleteClusterSnapshot_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_elastic_DeleteClusterSnapshot_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "snapshot": { 
      "adminUserName": "string",
      "clusterArn": "string",
      "clusterCreationTime": "string",
      "kmsKeyId": "string",
      "snapshotArn": "string",
      "snapshotCreationTime": "string",
      "snapshotName": "string",
      "snapshotType": "string",
      "status": "string",
      "subnetIds": [ "string" ],
      "vpcSecurityGroupIds": [ "string" ]
   }
}
```

## Response Elements
<a name="API_elastic_DeleteClusterSnapshot_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [snapshot](#API_elastic_DeleteClusterSnapshot_ResponseSyntax) **   <a name="documentdb-elastic_DeleteClusterSnapshot-response-snapshot"></a>
Returns information about the newly deleted elastic cluster snapshot.  
Type: [ClusterSnapshot](API_elastic_ClusterSnapshot.md) object

## Errors
<a name="API_elastic_DeleteClusterSnapshot_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
An exception that occurs when there are not sufficient permissions to perform an action.    
 ** message **   
An error message explaining why access was denied.
HTTP Status Code: 403

 ** ConflictException **   
There was an access conflict.    
 ** resourceId **   
The ID of the resource where there was an access conflict.  
 ** resourceType **   
The type of the resource where there was an access conflict.
HTTP Status Code: 409

 ** InternalServerException **   
There was an internal server error.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource could not be located.    
 ** message **   
An error message describing the failure.  
 ** resourceId **   
The ID of the resource that could not be located.  
 ** resourceType **   
The type of the resource that could not be found.
HTTP Status Code: 404

 ** ThrottlingException **   
ThrottlingException will be thrown when request was denied due to request throttling.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the operation.
HTTP Status Code: 429

 ** ValidationException **   
A structure defining a validation exception.    
 ** fieldList **   
A list of the fields in which the validation exception occurred.  
 ** message **   
An error message describing the validation exception.  
 ** reason **   
The reason why the validation exception occurred (one of `unknownOperation`, `cannotParse`, `fieldValidationFailed`, or `other`).
HTTP Status Code: 400

## See Also
<a name="API_elastic_DeleteClusterSnapshot_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/docdb-elastic-2022-11-28/DeleteClusterSnapshot) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/docdb-elastic-2022-11-28/DeleteClusterSnapshot) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/docdb-elastic-2022-11-28/DeleteClusterSnapshot) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/docdb-elastic-2022-11-28/DeleteClusterSnapshot) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/docdb-elastic-2022-11-28/DeleteClusterSnapshot) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/docdb-elastic-2022-11-28/DeleteClusterSnapshot) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/docdb-elastic-2022-11-28/DeleteClusterSnapshot) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/docdb-elastic-2022-11-28/DeleteClusterSnapshot) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/docdb-elastic-2022-11-28/DeleteClusterSnapshot) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/docdb-elastic-2022-11-28/DeleteClusterSnapshot) 

# GetCluster
<a name="API_elastic_GetCluster"></a>

Returns information about a specific elastic cluster.

## Request Syntax
<a name="API_elastic_GetCluster_RequestSyntax"></a>

```
GET /cluster/clusterArn HTTP/1.1
```

## URI Request Parameters
<a name="API_elastic_GetCluster_RequestParameters"></a>

The request uses the following URI parameters.

 ** [clusterArn](#API_elastic_GetCluster_RequestSyntax) **   <a name="documentdb-elastic_GetCluster-request-uri-clusterArn"></a>
The ARN identifier of the elastic cluster.  
Required: Yes

## Request Body
<a name="API_elastic_GetCluster_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_elastic_GetCluster_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "cluster": { 
      "adminUserName": "string",
      "authType": "string",
      "backupRetentionPeriod": number,
      "clusterArn": "string",
      "clusterEndpoint": "string",
      "clusterName": "string",
      "createTime": "string",
      "kmsKeyId": "string",
      "preferredBackupWindow": "string",
      "preferredMaintenanceWindow": "string",
      "shardCapacity": number,
      "shardCount": number,
      "shardInstanceCount": number,
      "shards": [ 
         { 
            "createTime": "string",
            "shardId": "string",
            "status": "string"
         }
      ],
      "status": "string",
      "subnetIds": [ "string" ],
      "vpcSecurityGroupIds": [ "string" ]
   }
}
```

## Response Elements
<a name="API_elastic_GetCluster_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [cluster](#API_elastic_GetCluster_ResponseSyntax) **   <a name="documentdb-elastic_GetCluster-response-cluster"></a>
Returns information about a specific elastic cluster.  
Type: [Cluster](API_elastic_Cluster.md) object

## Errors
<a name="API_elastic_GetCluster_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
An exception that occurs when there are not sufficient permissions to perform an action.    
 ** message **   
An error message explaining why access was denied.
HTTP Status Code: 403

 ** InternalServerException **   
There was an internal server error.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource could not be located.    
 ** message **   
An error message describing the failure.  
 ** resourceId **   
The ID of the resource that could not be located.  
 ** resourceType **   
The type of the resource that could not be found.
HTTP Status Code: 404

 ** ThrottlingException **   
ThrottlingException will be thrown when request was denied due to request throttling.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the operation.
HTTP Status Code: 429

 ** ValidationException **   
A structure defining a validation exception.    
 ** fieldList **   
A list of the fields in which the validation exception occurred.  
 ** message **   
An error message describing the validation exception.  
 ** reason **   
The reason why the validation exception occurred (one of `unknownOperation`, `cannotParse`, `fieldValidationFailed`, or `other`).
HTTP Status Code: 400

## See Also
<a name="API_elastic_GetCluster_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/docdb-elastic-2022-11-28/GetCluster) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/docdb-elastic-2022-11-28/GetCluster) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/docdb-elastic-2022-11-28/GetCluster) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/docdb-elastic-2022-11-28/GetCluster) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/docdb-elastic-2022-11-28/GetCluster) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/docdb-elastic-2022-11-28/GetCluster) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/docdb-elastic-2022-11-28/GetCluster) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/docdb-elastic-2022-11-28/GetCluster) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/docdb-elastic-2022-11-28/GetCluster) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/docdb-elastic-2022-11-28/GetCluster) 

# GetClusterSnapshot
<a name="API_elastic_GetClusterSnapshot"></a>

Returns information about a specific elastic cluster snapshot

## Request Syntax
<a name="API_elastic_GetClusterSnapshot_RequestSyntax"></a>

```
GET /cluster-snapshot/snapshotArn HTTP/1.1
```

## URI Request Parameters
<a name="API_elastic_GetClusterSnapshot_RequestParameters"></a>

The request uses the following URI parameters.

 ** [snapshotArn](#API_elastic_GetClusterSnapshot_RequestSyntax) **   <a name="documentdb-elastic_GetClusterSnapshot-request-uri-snapshotArn"></a>
The ARN identifier of the elastic cluster snapshot.  
Required: Yes

## Request Body
<a name="API_elastic_GetClusterSnapshot_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_elastic_GetClusterSnapshot_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "snapshot": { 
      "adminUserName": "string",
      "clusterArn": "string",
      "clusterCreationTime": "string",
      "kmsKeyId": "string",
      "snapshotArn": "string",
      "snapshotCreationTime": "string",
      "snapshotName": "string",
      "snapshotType": "string",
      "status": "string",
      "subnetIds": [ "string" ],
      "vpcSecurityGroupIds": [ "string" ]
   }
}
```

## Response Elements
<a name="API_elastic_GetClusterSnapshot_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [snapshot](#API_elastic_GetClusterSnapshot_ResponseSyntax) **   <a name="documentdb-elastic_GetClusterSnapshot-response-snapshot"></a>
Returns information about a specific elastic cluster snapshot.  
Type: [ClusterSnapshot](API_elastic_ClusterSnapshot.md) object

## Errors
<a name="API_elastic_GetClusterSnapshot_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
An exception that occurs when there are not sufficient permissions to perform an action.    
 ** message **   
An error message explaining why access was denied.
HTTP Status Code: 403

 ** InternalServerException **   
There was an internal server error.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource could not be located.    
 ** message **   
An error message describing the failure.  
 ** resourceId **   
The ID of the resource that could not be located.  
 ** resourceType **   
The type of the resource that could not be found.
HTTP Status Code: 404

 ** ThrottlingException **   
ThrottlingException will be thrown when request was denied due to request throttling.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the operation.
HTTP Status Code: 429

 ** ValidationException **   
A structure defining a validation exception.    
 ** fieldList **   
A list of the fields in which the validation exception occurred.  
 ** message **   
An error message describing the validation exception.  
 ** reason **   
The reason why the validation exception occurred (one of `unknownOperation`, `cannotParse`, `fieldValidationFailed`, or `other`).
HTTP Status Code: 400

## See Also
<a name="API_elastic_GetClusterSnapshot_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/docdb-elastic-2022-11-28/GetClusterSnapshot) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/docdb-elastic-2022-11-28/GetClusterSnapshot) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/docdb-elastic-2022-11-28/GetClusterSnapshot) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/docdb-elastic-2022-11-28/GetClusterSnapshot) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/docdb-elastic-2022-11-28/GetClusterSnapshot) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/docdb-elastic-2022-11-28/GetClusterSnapshot) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/docdb-elastic-2022-11-28/GetClusterSnapshot) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/docdb-elastic-2022-11-28/GetClusterSnapshot) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/docdb-elastic-2022-11-28/GetClusterSnapshot) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/docdb-elastic-2022-11-28/GetClusterSnapshot) 

# GetPendingMaintenanceAction
<a name="API_elastic_GetPendingMaintenanceAction"></a>

Retrieves all maintenance actions that are pending.

## Request Syntax
<a name="API_elastic_GetPendingMaintenanceAction_RequestSyntax"></a>

```
GET /pending-action/resourceArn HTTP/1.1
```

## URI Request Parameters
<a name="API_elastic_GetPendingMaintenanceAction_RequestParameters"></a>

The request uses the following URI parameters.

 ** [resourceArn](#API_elastic_GetPendingMaintenanceAction_RequestSyntax) **   <a name="documentdb-elastic_GetPendingMaintenanceAction-request-uri-resourceArn"></a>
Retrieves pending maintenance actions for a specific Amazon Resource Name (ARN).  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Required: Yes

## Request Body
<a name="API_elastic_GetPendingMaintenanceAction_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_elastic_GetPendingMaintenanceAction_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "resourcePendingMaintenanceAction": { 
      "pendingMaintenanceActionDetails": [ 
         { 
            "action": "string",
            "autoAppliedAfterDate": "string",
            "currentApplyDate": "string",
            "description": "string",
            "forcedApplyDate": "string",
            "optInStatus": "string"
         }
      ],
      "resourceArn": "string"
   }
}
```

## Response Elements
<a name="API_elastic_GetPendingMaintenanceAction_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [resourcePendingMaintenanceAction](#API_elastic_GetPendingMaintenanceAction_ResponseSyntax) **   <a name="documentdb-elastic_GetPendingMaintenanceAction-response-resourcePendingMaintenanceAction"></a>
Provides information about a pending maintenance action for a resource.  
Type: [ResourcePendingMaintenanceAction](API_elastic_ResourcePendingMaintenanceAction.md) object

## Errors
<a name="API_elastic_GetPendingMaintenanceAction_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
An exception that occurs when there are not sufficient permissions to perform an action.    
 ** message **   
An error message explaining why access was denied.
HTTP Status Code: 403

 ** ConflictException **   
There was an access conflict.    
 ** resourceId **   
The ID of the resource where there was an access conflict.  
 ** resourceType **   
The type of the resource where there was an access conflict.
HTTP Status Code: 409

 ** InternalServerException **   
There was an internal server error.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource could not be located.    
 ** message **   
An error message describing the failure.  
 ** resourceId **   
The ID of the resource that could not be located.  
 ** resourceType **   
The type of the resource that could not be found.
HTTP Status Code: 404

 ** ThrottlingException **   
ThrottlingException will be thrown when request was denied due to request throttling.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the operation.
HTTP Status Code: 429

 ** ValidationException **   
A structure defining a validation exception.    
 ** fieldList **   
A list of the fields in which the validation exception occurred.  
 ** message **   
An error message describing the validation exception.  
 ** reason **   
The reason why the validation exception occurred (one of `unknownOperation`, `cannotParse`, `fieldValidationFailed`, or `other`).
HTTP Status Code: 400

## See Also
<a name="API_elastic_GetPendingMaintenanceAction_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/docdb-elastic-2022-11-28/GetPendingMaintenanceAction) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/docdb-elastic-2022-11-28/GetPendingMaintenanceAction) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/docdb-elastic-2022-11-28/GetPendingMaintenanceAction) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/docdb-elastic-2022-11-28/GetPendingMaintenanceAction) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/docdb-elastic-2022-11-28/GetPendingMaintenanceAction) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/docdb-elastic-2022-11-28/GetPendingMaintenanceAction) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/docdb-elastic-2022-11-28/GetPendingMaintenanceAction) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/docdb-elastic-2022-11-28/GetPendingMaintenanceAction) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/docdb-elastic-2022-11-28/GetPendingMaintenanceAction) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/docdb-elastic-2022-11-28/GetPendingMaintenanceAction) 

# ListClusters
<a name="API_elastic_ListClusters"></a>

Returns information about provisioned Amazon DocumentDB elastic clusters.

## Request Syntax
<a name="API_elastic_ListClusters_RequestSyntax"></a>

```
GET /clusters?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_elastic_ListClusters_RequestParameters"></a>

The request uses the following URI parameters.

 ** [maxResults](#API_elastic_ListClusters_RequestSyntax) **   <a name="documentdb-elastic_ListClusters-request-uri-maxResults"></a>
The maximum number of elastic cluster snapshot results to receive in the response.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_elastic_ListClusters_RequestSyntax) **   <a name="documentdb-elastic_ListClusters-request-uri-nextToken"></a>
A pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond this token, up to the value specified by `max-results`.  
If there is no more data in the responce, the `nextToken` will not be returned.

## Request Body
<a name="API_elastic_ListClusters_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_elastic_ListClusters_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "clusters": [ 
      { 
         "clusterArn": "string",
         "clusterName": "string",
         "status": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_elastic_ListClusters_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [clusters](#API_elastic_ListClusters_ResponseSyntax) **   <a name="documentdb-elastic_ListClusters-response-clusters"></a>
A list of Amazon DocumentDB elastic clusters.  
Type: Array of [ClusterInList](API_elastic_ClusterInList.md) objects

 ** [nextToken](#API_elastic_ListClusters_ResponseSyntax) **   <a name="documentdb-elastic_ListClusters-response-nextToken"></a>
A pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond this token, up to the value specified by `max-results`.  
If there is no more data in the responce, the `nextToken` will not be returned.  
Type: String

## Errors
<a name="API_elastic_ListClusters_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
An exception that occurs when there are not sufficient permissions to perform an action.    
 ** message **   
An error message explaining why access was denied.
HTTP Status Code: 403

 ** InternalServerException **   
There was an internal server error.  
HTTP Status Code: 500

 ** ThrottlingException **   
ThrottlingException will be thrown when request was denied due to request throttling.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the operation.
HTTP Status Code: 429

 ** ValidationException **   
A structure defining a validation exception.    
 ** fieldList **   
A list of the fields in which the validation exception occurred.  
 ** message **   
An error message describing the validation exception.  
 ** reason **   
The reason why the validation exception occurred (one of `unknownOperation`, `cannotParse`, `fieldValidationFailed`, or `other`).
HTTP Status Code: 400

## See Also
<a name="API_elastic_ListClusters_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/docdb-elastic-2022-11-28/ListClusters) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/docdb-elastic-2022-11-28/ListClusters) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/docdb-elastic-2022-11-28/ListClusters) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/docdb-elastic-2022-11-28/ListClusters) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/docdb-elastic-2022-11-28/ListClusters) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/docdb-elastic-2022-11-28/ListClusters) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/docdb-elastic-2022-11-28/ListClusters) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/docdb-elastic-2022-11-28/ListClusters) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/docdb-elastic-2022-11-28/ListClusters) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/docdb-elastic-2022-11-28/ListClusters) 

# ListClusterSnapshots
<a name="API_elastic_ListClusterSnapshots"></a>

Returns information about snapshots for a specified elastic cluster.

## Request Syntax
<a name="API_elastic_ListClusterSnapshots_RequestSyntax"></a>

```
GET /cluster-snapshots?clusterArn=clusterArn&maxResults=maxResults&nextToken=nextToken&snapshotType=snapshotType HTTP/1.1
```

## URI Request Parameters
<a name="API_elastic_ListClusterSnapshots_RequestParameters"></a>

The request uses the following URI parameters.

 ** [clusterArn](#API_elastic_ListClusterSnapshots_RequestSyntax) **   <a name="documentdb-elastic_ListClusterSnapshots-request-uri-clusterArn"></a>
The ARN identifier of the elastic cluster.

 ** [maxResults](#API_elastic_ListClusterSnapshots_RequestSyntax) **   <a name="documentdb-elastic_ListClusterSnapshots-request-uri-maxResults"></a>
The maximum number of elastic cluster snapshot results to receive in the response.  
Valid Range: Minimum value of 20. Maximum value of 100.

 ** [nextToken](#API_elastic_ListClusterSnapshots_RequestSyntax) **   <a name="documentdb-elastic_ListClusterSnapshots-request-uri-nextToken"></a>
A pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond this token, up to the value specified by `max-results`.  
If there is no more data in the responce, the `nextToken` will not be returned.

 ** [snapshotType](#API_elastic_ListClusterSnapshots_RequestSyntax) **   <a name="documentdb-elastic_ListClusterSnapshots-request-uri-snapshotType"></a>
The type of cluster snapshots to be returned. You can specify one of the following values:  
+  `automated` - Return all cluster snapshots that Amazon DocumentDB has automatically created for your AWS account.
+  `manual` - Return all cluster snapshots that you have manually created for your AWS account.

## Request Body
<a name="API_elastic_ListClusterSnapshots_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_elastic_ListClusterSnapshots_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "snapshots": [ 
      { 
         "clusterArn": "string",
         "snapshotArn": "string",
         "snapshotCreationTime": "string",
         "snapshotName": "string",
         "status": "string"
      }
   ]
}
```

## Response Elements
<a name="API_elastic_ListClusterSnapshots_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [nextToken](#API_elastic_ListClusterSnapshots_ResponseSyntax) **   <a name="documentdb-elastic_ListClusterSnapshots-response-nextToken"></a>
A pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond this token, up to the value specified by `max-results`.  
If there is no more data in the responce, the `nextToken` will not be returned.  
Type: String

 ** [snapshots](#API_elastic_ListClusterSnapshots_ResponseSyntax) **   <a name="documentdb-elastic_ListClusterSnapshots-response-snapshots"></a>
A list of snapshots for a specified elastic cluster.  
Type: Array of [ClusterSnapshotInList](API_elastic_ClusterSnapshotInList.md) objects

## Errors
<a name="API_elastic_ListClusterSnapshots_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
An exception that occurs when there are not sufficient permissions to perform an action.    
 ** message **   
An error message explaining why access was denied.
HTTP Status Code: 403

 ** InternalServerException **   
There was an internal server error.  
HTTP Status Code: 500

 ** ThrottlingException **   
ThrottlingException will be thrown when request was denied due to request throttling.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the operation.
HTTP Status Code: 429

 ** ValidationException **   
A structure defining a validation exception.    
 ** fieldList **   
A list of the fields in which the validation exception occurred.  
 ** message **   
An error message describing the validation exception.  
 ** reason **   
The reason why the validation exception occurred (one of `unknownOperation`, `cannotParse`, `fieldValidationFailed`, or `other`).
HTTP Status Code: 400

## See Also
<a name="API_elastic_ListClusterSnapshots_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/docdb-elastic-2022-11-28/ListClusterSnapshots) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/docdb-elastic-2022-11-28/ListClusterSnapshots) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/docdb-elastic-2022-11-28/ListClusterSnapshots) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/docdb-elastic-2022-11-28/ListClusterSnapshots) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/docdb-elastic-2022-11-28/ListClusterSnapshots) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/docdb-elastic-2022-11-28/ListClusterSnapshots) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/docdb-elastic-2022-11-28/ListClusterSnapshots) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/docdb-elastic-2022-11-28/ListClusterSnapshots) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/docdb-elastic-2022-11-28/ListClusterSnapshots) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/docdb-elastic-2022-11-28/ListClusterSnapshots) 

# ListPendingMaintenanceActions
<a name="API_elastic_ListPendingMaintenanceActions"></a>

Retrieves a list of all maintenance actions that are pending.

## Request Syntax
<a name="API_elastic_ListPendingMaintenanceActions_RequestSyntax"></a>

```
GET /pending-actions?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_elastic_ListPendingMaintenanceActions_RequestParameters"></a>

The request uses the following URI parameters.

 ** [maxResults](#API_elastic_ListPendingMaintenanceActions_RequestSyntax) **   <a name="documentdb-elastic_ListPendingMaintenanceActions-request-uri-maxResults"></a>
The maximum number of results to include in the response. If more records exist than the specified `maxResults` value, a pagination token (marker) is included in the response so that the remaining results can be retrieved.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_elastic_ListPendingMaintenanceActions_RequestSyntax) **   <a name="documentdb-elastic_ListPendingMaintenanceActions-request-uri-nextToken"></a>
An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by `maxResults`.

## Request Body
<a name="API_elastic_ListPendingMaintenanceActions_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_elastic_ListPendingMaintenanceActions_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "resourcePendingMaintenanceActions": [ 
      { 
         "pendingMaintenanceActionDetails": [ 
            { 
               "action": "string",
               "autoAppliedAfterDate": "string",
               "currentApplyDate": "string",
               "description": "string",
               "forcedApplyDate": "string",
               "optInStatus": "string"
            }
         ],
         "resourceArn": "string"
      }
   ]
}
```

## Response Elements
<a name="API_elastic_ListPendingMaintenanceActions_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [resourcePendingMaintenanceActions](#API_elastic_ListPendingMaintenanceActions_ResponseSyntax) **   <a name="documentdb-elastic_ListPendingMaintenanceActions-response-resourcePendingMaintenanceActions"></a>
Provides information about a pending maintenance action for a resource.  
Type: Array of [ResourcePendingMaintenanceAction](API_elastic_ResourcePendingMaintenanceAction.md) objects

 ** [nextToken](#API_elastic_ListPendingMaintenanceActions_ResponseSyntax) **   <a name="documentdb-elastic_ListPendingMaintenanceActions-response-nextToken"></a>
An optional pagination token provided by a previous request. If this parameter is displayed, the responses will include only records beyond the marker, up to the value specified by `maxResults`.  
Type: String

## Errors
<a name="API_elastic_ListPendingMaintenanceActions_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
An exception that occurs when there are not sufficient permissions to perform an action.    
 ** message **   
An error message explaining why access was denied.
HTTP Status Code: 403

 ** InternalServerException **   
There was an internal server error.  
HTTP Status Code: 500

 ** ThrottlingException **   
ThrottlingException will be thrown when request was denied due to request throttling.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the operation.
HTTP Status Code: 429

 ** ValidationException **   
A structure defining a validation exception.    
 ** fieldList **   
A list of the fields in which the validation exception occurred.  
 ** message **   
An error message describing the validation exception.  
 ** reason **   
The reason why the validation exception occurred (one of `unknownOperation`, `cannotParse`, `fieldValidationFailed`, or `other`).
HTTP Status Code: 400

## See Also
<a name="API_elastic_ListPendingMaintenanceActions_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/docdb-elastic-2022-11-28/ListPendingMaintenanceActions) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/docdb-elastic-2022-11-28/ListPendingMaintenanceActions) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/docdb-elastic-2022-11-28/ListPendingMaintenanceActions) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/docdb-elastic-2022-11-28/ListPendingMaintenanceActions) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/docdb-elastic-2022-11-28/ListPendingMaintenanceActions) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/docdb-elastic-2022-11-28/ListPendingMaintenanceActions) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/docdb-elastic-2022-11-28/ListPendingMaintenanceActions) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/docdb-elastic-2022-11-28/ListPendingMaintenanceActions) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/docdb-elastic-2022-11-28/ListPendingMaintenanceActions) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/docdb-elastic-2022-11-28/ListPendingMaintenanceActions) 

# ListTagsForResource
<a name="API_elastic_ListTagsForResource"></a>

Lists all tags on a elastic cluster resource

## Request Syntax
<a name="API_elastic_ListTagsForResource_RequestSyntax"></a>

```
GET /tags/resourceArn HTTP/1.1
```

## URI Request Parameters
<a name="API_elastic_ListTagsForResource_RequestParameters"></a>

The request uses the following URI parameters.

 ** [resourceArn](#API_elastic_ListTagsForResource_RequestSyntax) **   <a name="documentdb-elastic_ListTagsForResource-request-uri-resourceArn"></a>
The ARN identifier of the elastic cluster resource.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Required: Yes

## Request Body
<a name="API_elastic_ListTagsForResource_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_elastic_ListTagsForResource_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "tags": { 
      "string" : "string" 
   }
}
```

## Response Elements
<a name="API_elastic_ListTagsForResource_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [tags](#API_elastic_ListTagsForResource_ResponseSyntax) **   <a name="documentdb-elastic_ListTagsForResource-response-tags"></a>
The list of tags for the specified elastic cluster resource.  
Type: String to string map  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `(?!aws:)[a-zA-Z+-=._:/]+`   
Value Length Constraints: Minimum length of 0. Maximum length of 256.

## Errors
<a name="API_elastic_ListTagsForResource_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
There was an internal server error.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource could not be located.    
 ** message **   
An error message describing the failure.  
 ** resourceId **   
The ID of the resource that could not be located.  
 ** resourceType **   
The type of the resource that could not be found.
HTTP Status Code: 404

 ** ThrottlingException **   
ThrottlingException will be thrown when request was denied due to request throttling.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the operation.
HTTP Status Code: 429

 ** ValidationException **   
A structure defining a validation exception.    
 ** fieldList **   
A list of the fields in which the validation exception occurred.  
 ** message **   
An error message describing the validation exception.  
 ** reason **   
The reason why the validation exception occurred (one of `unknownOperation`, `cannotParse`, `fieldValidationFailed`, or `other`).
HTTP Status Code: 400

## See Also
<a name="API_elastic_ListTagsForResource_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/docdb-elastic-2022-11-28/ListTagsForResource) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/docdb-elastic-2022-11-28/ListTagsForResource) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/docdb-elastic-2022-11-28/ListTagsForResource) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/docdb-elastic-2022-11-28/ListTagsForResource) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/docdb-elastic-2022-11-28/ListTagsForResource) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/docdb-elastic-2022-11-28/ListTagsForResource) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/docdb-elastic-2022-11-28/ListTagsForResource) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/docdb-elastic-2022-11-28/ListTagsForResource) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/docdb-elastic-2022-11-28/ListTagsForResource) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/docdb-elastic-2022-11-28/ListTagsForResource) 

# RestoreClusterFromSnapshot
<a name="API_elastic_RestoreClusterFromSnapshot"></a>

Restores an elastic cluster from a snapshot.

## Request Syntax
<a name="API_elastic_RestoreClusterFromSnapshot_RequestSyntax"></a>

```
POST /cluster-snapshot/snapshotArn/restore HTTP/1.1
Content-type: application/json

{
   "clusterName": "string",
   "kmsKeyId": "string",
   "shardCapacity": number,
   "shardInstanceCount": number,
   "subnetIds": [ "string" ],
   "tags": { 
      "string" : "string" 
   },
   "vpcSecurityGroupIds": [ "string" ]
}
```

## URI Request Parameters
<a name="API_elastic_RestoreClusterFromSnapshot_RequestParameters"></a>

The request uses the following URI parameters.

 ** [snapshotArn](#API_elastic_RestoreClusterFromSnapshot_RequestSyntax) **   <a name="documentdb-elastic_RestoreClusterFromSnapshot-request-uri-snapshotArn"></a>
The ARN identifier of the elastic cluster snapshot.  
Required: Yes

## Request Body
<a name="API_elastic_RestoreClusterFromSnapshot_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [clusterName](#API_elastic_RestoreClusterFromSnapshot_RequestSyntax) **   <a name="documentdb-elastic_RestoreClusterFromSnapshot-request-clusterName"></a>
The name of the elastic cluster.  
Type: String  
Required: Yes

 ** [kmsKeyId](#API_elastic_RestoreClusterFromSnapshot_RequestSyntax) **   <a name="documentdb-elastic_RestoreClusterFromSnapshot-request-kmsKeyId"></a>
The KMS key identifier to use to encrypt the new Amazon DocumentDB elastic clusters cluster.  
The KMS key identifier is the Amazon Resource Name (ARN) for the KMS encryption key. If you are creating a cluster using the same Amazon account that owns this KMS encryption key, you can use the KMS key alias instead of the ARN as the KMS encryption key.  
If an encryption key is not specified here, Amazon DocumentDB uses the default encryption key that KMS creates for your account. Your account has a different default encryption key for each Amazon Region.  
Type: String  
Required: No

 ** [shardCapacity](#API_elastic_RestoreClusterFromSnapshot_RequestSyntax) **   <a name="documentdb-elastic_RestoreClusterFromSnapshot-request-shardCapacity"></a>
The capacity of each shard in the new restored elastic cluster.  
Type: Integer  
Required: No

 ** [shardInstanceCount](#API_elastic_RestoreClusterFromSnapshot_RequestSyntax) **   <a name="documentdb-elastic_RestoreClusterFromSnapshot-request-shardInstanceCount"></a>
The number of replica instances applying to all shards in the elastic cluster. A `shardInstanceCount` value of 1 means there is one writer instance, and any additional instances are replicas that can be used for reads and to improve availability.  
Type: Integer  
Required: No

 ** [subnetIds](#API_elastic_RestoreClusterFromSnapshot_RequestSyntax) **   <a name="documentdb-elastic_RestoreClusterFromSnapshot-request-subnetIds"></a>
The Amazon EC2 subnet IDs for the elastic cluster.  
Type: Array of strings  
Required: No

 ** [tags](#API_elastic_RestoreClusterFromSnapshot_RequestSyntax) **   <a name="documentdb-elastic_RestoreClusterFromSnapshot-request-tags"></a>
A list of the tag names to be assigned to the restored elastic cluster, in the form of an array of key-value pairs in which the key is the tag name and the value is the key value.  
Type: String to string map  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `(?!aws:)[a-zA-Z+-=._:/]+`   
Value Length Constraints: Minimum length of 0. Maximum length of 256.  
Required: No

 ** [vpcSecurityGroupIds](#API_elastic_RestoreClusterFromSnapshot_RequestSyntax) **   <a name="documentdb-elastic_RestoreClusterFromSnapshot-request-vpcSecurityGroupIds"></a>
A list of EC2 VPC security groups to associate with the elastic cluster.  
Type: Array of strings  
Required: No

## Response Syntax
<a name="API_elastic_RestoreClusterFromSnapshot_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "cluster": { 
      "adminUserName": "string",
      "authType": "string",
      "backupRetentionPeriod": number,
      "clusterArn": "string",
      "clusterEndpoint": "string",
      "clusterName": "string",
      "createTime": "string",
      "kmsKeyId": "string",
      "preferredBackupWindow": "string",
      "preferredMaintenanceWindow": "string",
      "shardCapacity": number,
      "shardCount": number,
      "shardInstanceCount": number,
      "shards": [ 
         { 
            "createTime": "string",
            "shardId": "string",
            "status": "string"
         }
      ],
      "status": "string",
      "subnetIds": [ "string" ],
      "vpcSecurityGroupIds": [ "string" ]
   }
}
```

## Response Elements
<a name="API_elastic_RestoreClusterFromSnapshot_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [cluster](#API_elastic_RestoreClusterFromSnapshot_ResponseSyntax) **   <a name="documentdb-elastic_RestoreClusterFromSnapshot-response-cluster"></a>
Returns information about a the restored elastic cluster.  
Type: [Cluster](API_elastic_Cluster.md) object

## Errors
<a name="API_elastic_RestoreClusterFromSnapshot_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
An exception that occurs when there are not sufficient permissions to perform an action.    
 ** message **   
An error message explaining why access was denied.
HTTP Status Code: 403

 ** ConflictException **   
There was an access conflict.    
 ** resourceId **   
The ID of the resource where there was an access conflict.  
 ** resourceType **   
The type of the resource where there was an access conflict.
HTTP Status Code: 409

 ** InternalServerException **   
There was an internal server error.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource could not be located.    
 ** message **   
An error message describing the failure.  
 ** resourceId **   
The ID of the resource that could not be located.  
 ** resourceType **   
The type of the resource that could not be found.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The service quota for the action was exceeded.  
HTTP Status Code: 402

 ** ThrottlingException **   
ThrottlingException will be thrown when request was denied due to request throttling.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the operation.
HTTP Status Code: 429

 ** ValidationException **   
A structure defining a validation exception.    
 ** fieldList **   
A list of the fields in which the validation exception occurred.  
 ** message **   
An error message describing the validation exception.  
 ** reason **   
The reason why the validation exception occurred (one of `unknownOperation`, `cannotParse`, `fieldValidationFailed`, or `other`).
HTTP Status Code: 400

## See Also
<a name="API_elastic_RestoreClusterFromSnapshot_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/docdb-elastic-2022-11-28/RestoreClusterFromSnapshot) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/docdb-elastic-2022-11-28/RestoreClusterFromSnapshot) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/docdb-elastic-2022-11-28/RestoreClusterFromSnapshot) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/docdb-elastic-2022-11-28/RestoreClusterFromSnapshot) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/docdb-elastic-2022-11-28/RestoreClusterFromSnapshot) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/docdb-elastic-2022-11-28/RestoreClusterFromSnapshot) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/docdb-elastic-2022-11-28/RestoreClusterFromSnapshot) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/docdb-elastic-2022-11-28/RestoreClusterFromSnapshot) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/docdb-elastic-2022-11-28/RestoreClusterFromSnapshot) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/docdb-elastic-2022-11-28/RestoreClusterFromSnapshot) 

# StartCluster
<a name="API_elastic_StartCluster"></a>

Restarts the stopped elastic cluster that is specified by `clusterARN`.

## Request Syntax
<a name="API_elastic_StartCluster_RequestSyntax"></a>

```
POST /cluster/clusterArn/start HTTP/1.1
```

## URI Request Parameters
<a name="API_elastic_StartCluster_RequestParameters"></a>

The request uses the following URI parameters.

 ** [clusterArn](#API_elastic_StartCluster_RequestSyntax) **   <a name="documentdb-elastic_StartCluster-request-uri-clusterArn"></a>
The ARN identifier of the elastic cluster.  
Required: Yes

## Request Body
<a name="API_elastic_StartCluster_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_elastic_StartCluster_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "cluster": { 
      "adminUserName": "string",
      "authType": "string",
      "backupRetentionPeriod": number,
      "clusterArn": "string",
      "clusterEndpoint": "string",
      "clusterName": "string",
      "createTime": "string",
      "kmsKeyId": "string",
      "preferredBackupWindow": "string",
      "preferredMaintenanceWindow": "string",
      "shardCapacity": number,
      "shardCount": number,
      "shardInstanceCount": number,
      "shards": [ 
         { 
            "createTime": "string",
            "shardId": "string",
            "status": "string"
         }
      ],
      "status": "string",
      "subnetIds": [ "string" ],
      "vpcSecurityGroupIds": [ "string" ]
   }
}
```

## Response Elements
<a name="API_elastic_StartCluster_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [cluster](#API_elastic_StartCluster_ResponseSyntax) **   <a name="documentdb-elastic_StartCluster-response-cluster"></a>
Returns information about a specific elastic cluster.  
Type: [Cluster](API_elastic_Cluster.md) object

## Errors
<a name="API_elastic_StartCluster_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
An exception that occurs when there are not sufficient permissions to perform an action.    
 ** message **   
An error message explaining why access was denied.
HTTP Status Code: 403

 ** InternalServerException **   
There was an internal server error.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource could not be located.    
 ** message **   
An error message describing the failure.  
 ** resourceId **   
The ID of the resource that could not be located.  
 ** resourceType **   
The type of the resource that could not be found.
HTTP Status Code: 404

 ** ThrottlingException **   
ThrottlingException will be thrown when request was denied due to request throttling.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the operation.
HTTP Status Code: 429

 ** ValidationException **   
A structure defining a validation exception.    
 ** fieldList **   
A list of the fields in which the validation exception occurred.  
 ** message **   
An error message describing the validation exception.  
 ** reason **   
The reason why the validation exception occurred (one of `unknownOperation`, `cannotParse`, `fieldValidationFailed`, or `other`).
HTTP Status Code: 400

## See Also
<a name="API_elastic_StartCluster_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/docdb-elastic-2022-11-28/StartCluster) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/docdb-elastic-2022-11-28/StartCluster) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/docdb-elastic-2022-11-28/StartCluster) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/docdb-elastic-2022-11-28/StartCluster) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/docdb-elastic-2022-11-28/StartCluster) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/docdb-elastic-2022-11-28/StartCluster) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/docdb-elastic-2022-11-28/StartCluster) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/docdb-elastic-2022-11-28/StartCluster) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/docdb-elastic-2022-11-28/StartCluster) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/docdb-elastic-2022-11-28/StartCluster) 

# StopCluster
<a name="API_elastic_StopCluster"></a>

Stops the running elastic cluster that is specified by `clusterArn`. The elastic cluster must be in the *available* state. 

## Request Syntax
<a name="API_elastic_StopCluster_RequestSyntax"></a>

```
POST /cluster/clusterArn/stop HTTP/1.1
```

## URI Request Parameters
<a name="API_elastic_StopCluster_RequestParameters"></a>

The request uses the following URI parameters.

 ** [clusterArn](#API_elastic_StopCluster_RequestSyntax) **   <a name="documentdb-elastic_StopCluster-request-uri-clusterArn"></a>
The ARN identifier of the elastic cluster.  
Required: Yes

## Request Body
<a name="API_elastic_StopCluster_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_elastic_StopCluster_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "cluster": { 
      "adminUserName": "string",
      "authType": "string",
      "backupRetentionPeriod": number,
      "clusterArn": "string",
      "clusterEndpoint": "string",
      "clusterName": "string",
      "createTime": "string",
      "kmsKeyId": "string",
      "preferredBackupWindow": "string",
      "preferredMaintenanceWindow": "string",
      "shardCapacity": number,
      "shardCount": number,
      "shardInstanceCount": number,
      "shards": [ 
         { 
            "createTime": "string",
            "shardId": "string",
            "status": "string"
         }
      ],
      "status": "string",
      "subnetIds": [ "string" ],
      "vpcSecurityGroupIds": [ "string" ]
   }
}
```

## Response Elements
<a name="API_elastic_StopCluster_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [cluster](#API_elastic_StopCluster_ResponseSyntax) **   <a name="documentdb-elastic_StopCluster-response-cluster"></a>
Returns information about a specific elastic cluster.  
Type: [Cluster](API_elastic_Cluster.md) object

## Errors
<a name="API_elastic_StopCluster_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
An exception that occurs when there are not sufficient permissions to perform an action.    
 ** message **   
An error message explaining why access was denied.
HTTP Status Code: 403

 ** InternalServerException **   
There was an internal server error.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource could not be located.    
 ** message **   
An error message describing the failure.  
 ** resourceId **   
The ID of the resource that could not be located.  
 ** resourceType **   
The type of the resource that could not be found.
HTTP Status Code: 404

 ** ThrottlingException **   
ThrottlingException will be thrown when request was denied due to request throttling.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the operation.
HTTP Status Code: 429

 ** ValidationException **   
A structure defining a validation exception.    
 ** fieldList **   
A list of the fields in which the validation exception occurred.  
 ** message **   
An error message describing the validation exception.  
 ** reason **   
The reason why the validation exception occurred (one of `unknownOperation`, `cannotParse`, `fieldValidationFailed`, or `other`).
HTTP Status Code: 400

## See Also
<a name="API_elastic_StopCluster_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/docdb-elastic-2022-11-28/StopCluster) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/docdb-elastic-2022-11-28/StopCluster) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/docdb-elastic-2022-11-28/StopCluster) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/docdb-elastic-2022-11-28/StopCluster) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/docdb-elastic-2022-11-28/StopCluster) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/docdb-elastic-2022-11-28/StopCluster) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/docdb-elastic-2022-11-28/StopCluster) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/docdb-elastic-2022-11-28/StopCluster) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/docdb-elastic-2022-11-28/StopCluster) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/docdb-elastic-2022-11-28/StopCluster) 

# TagResource
<a name="API_elastic_TagResource"></a>

Adds metadata tags to an elastic cluster resource

## Request Syntax
<a name="API_elastic_TagResource_RequestSyntax"></a>

```
POST /tags/resourceArn HTTP/1.1
Content-type: application/json

{
   "tags": { 
      "string" : "string" 
   }
}
```

## URI Request Parameters
<a name="API_elastic_TagResource_RequestParameters"></a>

The request uses the following URI parameters.

 ** [resourceArn](#API_elastic_TagResource_RequestSyntax) **   <a name="documentdb-elastic_TagResource-request-uri-resourceArn"></a>
The ARN identifier of the elastic cluster resource.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Required: Yes

## Request Body
<a name="API_elastic_TagResource_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [tags](#API_elastic_TagResource_RequestSyntax) **   <a name="documentdb-elastic_TagResource-request-tags"></a>
The tags that are assigned to the elastic cluster resource.  
Type: String to string map  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `(?!aws:)[a-zA-Z+-=._:/]+`   
Value Length Constraints: Minimum length of 0. Maximum length of 256.  
Required: Yes

## Response Syntax
<a name="API_elastic_TagResource_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_elastic_TagResource_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_elastic_TagResource_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
There was an internal server error.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource could not be located.    
 ** message **   
An error message describing the failure.  
 ** resourceId **   
The ID of the resource that could not be located.  
 ** resourceType **   
The type of the resource that could not be found.
HTTP Status Code: 404

 ** ThrottlingException **   
ThrottlingException will be thrown when request was denied due to request throttling.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the operation.
HTTP Status Code: 429

 ** ValidationException **   
A structure defining a validation exception.    
 ** fieldList **   
A list of the fields in which the validation exception occurred.  
 ** message **   
An error message describing the validation exception.  
 ** reason **   
The reason why the validation exception occurred (one of `unknownOperation`, `cannotParse`, `fieldValidationFailed`, or `other`).
HTTP Status Code: 400

## See Also
[...]
